Bug 489988 - glx issues on i855
Summary: glx issues on i855
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel
Version: 11
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Jonathan Blandford
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-03-12 19:17 UTC by Mark Watts
Modified: 2018-04-11 08:45 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-23 13:07:25 UTC


Attachments (Terms of Use)
glxinfo output (20.69 KB, text/plain)
2009-03-12 19:17 UTC, Mark Watts
no flags Details
xorg log (79.42 KB, text/plain)
2009-03-12 19:18 UTC, Mark Watts
no flags Details

Description Mark Watts 2009-03-12 19:17:08 UTC
Hardware:
http://www.smolts.org/client/show/pub_147a1a2f-5adb-4d82-8a2a-fdd35783929b

Attempting to follow:
https://fedoraproject.org/wiki/QA:Testcase_intelvideo_glx

Initial Compiz test: "Unable to enable desktop effects"

$ glxinfo | grep direct
Direct Rendering: Yes

Running glxgears give me the following effect:
http://www.linux-corner.info/glxgears.jpg

Stopping glxgears and then re-trying the Compiz test now works (!)
Cube rotation and wobbly windows work smoothly.
glxgears pauses while cube rotation (via mouse) is in effect.

Comment 1 Mark Watts 2009-03-12 19:17:38 UTC
Created attachment 334996 [details]
glxinfo output

Comment 2 Mark Watts 2009-03-12 19:18:04 UTC
Created attachment 334997 [details]
xorg log

Comment 3 Diego Escalante Urrelo 2009-04-15 20:51:12 UTC
Hey Mark, is this the same as https://bugzilla.redhat.com/show_bug.cgi?id=490366 ?

Comment 4 Mark Watts 2009-04-16 09:09:30 UTC
I get the same horizontal banding, but not the vertical lines.

Comment 5 Bug Zapper 2009-06-09 12:11:21 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 7 Matěj Cepl 2009-11-05 18:23:09 UTC
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]

Comment 8 Diego Escalante Urrelo 2009-11-23 15:08:08 UTC
Hey. Just to confirm this is still present in Fedora 12, I opened an upstream bug:
  https://bugs.freedesktop.org/show_bug.cgi?id=24140

Comment 9 Diego Escalante Urrelo 2009-11-23 15:09:15 UTC
Oops, sorry I confused bugs. Can't confirm on F12.

Comment 10 Mark Watts 2009-11-23 15:20:02 UTC
Just to confirm, the issues I reported originally are not present on the same hardware running Fedora 12 release.


Note You need to log in before you can comment on or make changes to this bug.